<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.webui.client.impl.RemoteCommandBuilder (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.webui.client.impl.RemoteCommandBuilder (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/apache/nutch/webui/client/impl/class-use/RemoteCommandBuilder.html" target="_top">Frames</a></li>
<li><a href="RemoteCommandBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.webui.client.impl.RemoteCommandBuilder" class="title">Uses of Class<br>org.apache.nutch.webui.client.impl.RemoteCommandBuilder</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommandBuilder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.client.impl">org.apache.nutch.webui.client.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.client.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommandBuilder</a> in <a href="../../../../../../../org/apache/nutch/webui/client/impl/package-summary.html">org.apache.nutch.webui.client.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/nutch/webui/client/impl/package-summary.html">org.apache.nutch.webui.client.impl</a> that return <a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommandBuilder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommandBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommandBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html#instance-org.apache.nutch.webui.client.model.JobInfo.JobType-">instance</a></span>(<a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.JobType.html" title="enum in org.apache.nutch.webui.client.model">JobInfo.JobType</a>&nbsp;jobType)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommandBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommandBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html#withArgument-java.lang.String-java.lang.String-">withArgument</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommandBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommandBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html#withConfigId-java.lang.String-">withConfigId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommandBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommandBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html#withCrawlId-java.lang.String-">withCrawlId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;crawlId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommandBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommandBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html#withJobType-org.apache.nutch.webui.client.model.JobInfo.JobType-">withJobType</a></span>(<a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.JobType.html" title="enum in org.apache.nutch.webui.client.model">JobInfo.JobType</a>&nbsp;jobType)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommandBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommandBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html#withTimeout-org.joda.time.Duration-">withTimeout</a></span>(org.joda.time.Duration&nbsp;timeout)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandBuilder.html" title="class in org.apache.nutch.webui.client.impl">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/apache/nutch/webui/client/impl/class-use/RemoteCommandBuilder.html" target="_top">Frames</a></li>
<li><a href="RemoteCommandBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
